org.eclipse.wst.jsdt.chromium.debug.core.util

## Class MementoFormat.Parser

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.MementoFormat.Parser

Enclosing class:
  MementoFormat

    public static class MementoFormat.Parser
    extends java.lang.Object

A simple parser that reads char sequence as a sequence of strings.

### Constructor Summary

Constructors
Constructor and Description
`Parser(java.lang.CharSequence charSequence)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `consumeIfFound(java.lang.String string)`
`java.lang.String` `getDebugSnippet()`
`boolean` `hasMore()`
`java.lang.String` `nextComponent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parser

    public Parser(java.lang.CharSequence charSequence)

### Method Detail

#### nextComponent

    public java.lang.String nextComponent()
                                   throws MementoFormat.ParserException

Throws:
  `MementoFormat.ParserException`

#### hasMore

    public boolean hasMore()

#### consumeIfFound

    public boolean consumeIfFound(java.lang.String string)

#### getDebugSnippet

    public java.lang.String getDebugSnippet()